Bug 391038 - Weird little widget that shows the desktop wallpaper shown over the mail window
Summary: Weird little widget that shows the desktop wallpaper shown over the mail window
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.7.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 394099 407858 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-02-25 08:45 UTC by Halla Rempt
Modified: 2020-12-03 08:06 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (135.08 KB, image/png)
2018-02-25 08:45 UTC, Halla Rempt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2018-02-25 08:45:06 UTC
Created attachment 110984 [details]
screenshot

Sometimes kmail shows a weird little rectangle on top of the message list. When hovering over it with the mouse, it shows the splitter cursor, but it's not the splitter. See screenshot.
Comment 1 Christophe Giboudeaux 2018-05-11 09:35:48 UTC
*** Bug 394099 has been marked as a duplicate of this bug. ***
Comment 2 Aldoo 2019-05-22 11:24:00 UTC
I also have this bug.

Some additional observations :
- mouse cursor change aside, there is no possible interaction with the rectangle
- the rectangle prevents clicking on elements it hides
- the rectangle's position is fixed relatively to the kmail window (resizing the subpanels of kmail main window will not move it)
- restarting kmail will not make it go away (I assume, as long as whatever condition causes the bug is still met; and I know it is not always met, as this rectangle does not always appear).
Comment 3 Christophe Giboudeaux 2019-05-23 13:53:24 UTC
*** Bug 407858 has been marked as a duplicate of this bug. ***
Comment 4 Christophe Giboudeaux 2019-05-23 15:58:12 UTC
xwininfo lists this square:

     5 children:
     0x7000131 "KMail": ("kmail" "kmail2")  24x24+417+371  +417+398
     0x7000026 "KMail": ("kmail" "kmail2")  1920x23+0+998  +0+1025
     0x700001a "KMail": ("kmail" "kmail2")  1920x38+0+30  +0+57
     0x7000017 "KMail": ("kmail" "kmail2")  1920x30+0+0  +0+27
     0x700000d "KMail": ("kmail" "kmail2")  1920x930+0+68  +0+95

It always looks the same (24*24), I can't find a way to reliably make it appear
Comment 5 Laurent Montel 2019-05-24 05:09:17 UTC
I confirm it
I will investigate it
Comment 6 Laurent Montel 2019-05-24 05:54:52 UTC
Git commit 21121ab09438360a06efca675f3670ed8c9c9b1c by Laurent Montel.
Committed on 24/05/2019 at 05:53.
Pushed by mlaurent into branch 'Applications/19.04'.

It's not necessary to create a view.
Perhaps it will fix this bug

M  +3    -4    templateparser/src/templateextracthtmlelementwebengineview.cpp
M  +2    -2    templateparser/src/templateextracthtmlelementwebengineview.h
M  +3    -4    templateparser/src/templatewebengineview.cpp
M  +2    -2    templateparser/src/templatewebengineview.h

https://commits.kde.org/messagelib/21121ab09438360a06efca675f3670ed8c9c9b1c
Comment 7 Christophe Giboudeaux 2019-05-24 14:22:23 UTC
I still see it after rebuilding messagelib, I'll rebuild the full pim stack to check.
Comment 8 Laurent Montel 2019-05-24 14:32:29 UTC
(In reply to Christophe Giboudeaux from comment #7)
> I still see it after rebuilding messagelib, I'll rebuild the full pim stack
> to check.

Too bad it was not it...
Ok I will continue to investigate.
Comment 9 Laurent Montel 2019-05-24 14:47:20 UTC
(In reply to Laurent Montel from comment #8)
> (In reply to Christophe Giboudeaux from comment #7)
> > I still see it after rebuilding messagelib, I'll rebuild the full pim stack
> > to check.
> 
> Too bad it was not it...
> Ok I will continue to investigate.

Too bad I can't widget type with gammaray...
Comment 10 Burkhard Lück 2020-12-02 05:02:12 UTC
Ubuntu 20.04.1 LTS
KMail Version 5.13.3 (19.12.3)
KDE Frameworks 5.68.0
Qt 5.12.8
No rectangle on top of the message list any more
Comment 11 Aldoo 2020-12-03 08:06:32 UTC
It's still here for me.
Except it is now white instead of showing the wallpaper as it previously used to.

(Currently using version 4:20.08.3-0xneon+20.04+focal+build23 of kdepim packages, with version 4:5.20.3-0xneon+20.04+focal+build20 of plasma packages.)